using System;
using System.Data;
using System.Configuration;

namespace Vevo.Shared.DataAccess
{
    /// <summary>
    /// Summary description for DataAccessException
    /// </summary>
    public class DataAccessException : ApplicationException
    {
        public DataAccessException( string message )
            : base( message )
        {
        }

        public DataAccessException( string message, Exception innerException )
            : base( message, innerException )
        {
        }

    }

    // Thrown when INSERT or UPDATE an entry with the same primary key as 
    // the existing one in the table.
    public class DuplicatedPrimaryKeyException : DataAccessException
    {
        public DuplicatedPrimaryKeyException( string message )
            : base( message )
        {
        }
    }

}

