using System;
using System.Collections.Generic;
using System.Text;

namespace Vevo.Base.Domain
{
    public class ShippingAddress : Address
    {
        #region Private

        private bool _residential;
        private string _shippingAddressID = "0";
        private string _aliasName = String.Empty;
        private string _customerID = "0";
        private bool _isSameAsBillingAddress = false;
        #endregion


        #region Constructors

        public ShippingAddress()
        {
        }

        public ShippingAddress( Address address, bool residential )
            : base( address )
        {
            _residential = residential;
        }

        #endregion


        #region Public Properties

        public bool Residential { get { return _residential; } }
        public string ShippingAddressID { get { return _shippingAddressID; } set { _shippingAddressID = value; } }
        public string AliasName { get { return _aliasName; } set { _aliasName = value; } }
        public string CustomerID { get { return _customerID; } set { _customerID = value; } }
        public bool IsSameAsBillingAddress { get { return _isSameAsBillingAddress; } set { _isSameAsBillingAddress = value; } }

        #endregion

    }

}
