using System;
using System.Collections.Generic;
using System.Text;
using Vevo.Domain.Configurations;
using Vevo.Shared.DataAccess;
using Vevo.Base.Data.Implementation;

namespace Vevo.Data.Implementation
{
    internal class ConfigurationDescriptionAccess : BaseListedDataAccess<string, ConfigurationDescription>
    {
        #region Protected

        protected override void Create( string configID, ConfigurationDescription configDescription )
        {
            DataAccess.ExecuteNonQuery(
                "INSERT INTO ConfigurationDescription " +
                "    (ConfigID, CultureID, MainGroup, SubGroup, Description, Keyword, DisplayName) " +
                "VALUES (@ConfigID, @CultureID, @MainGroup, @SubGroup, @Description, @Keyword, @DisplayName); ",
                DataAccess.CreateParameterString( configID ),
                DataAccess.CreateParameterString( configDescription.CultureID ),
                DataAccess.CreateParameterString( configDescription.MainGroup ),
                DataAccess.CreateParameterString( configDescription.SubGroup ),
                DataAccess.CreateParameterString( configDescription.Description ),
                DataAccess.CreateParameterString( configDescription.Keyword ),
                DataAccess.CreateParameterString( configDescription.DisplayName )

            );
        }

        protected override void Update( string configID, ConfigurationDescription item )
        {
            DataAccess.ExecuteNonQuery(
                "UPDATE ConfigurationDescription " +
                "SET MainGroup = @MainGroup, SubGroup = @SubGroup, " +
                "Description = @Description, Keyword = @Keyword,  DisplayName = @DisplayName " +
                "WHERE ConfigID = @ConfigID AND CultureID = @CultureID; ",
                DataAccess.CreateParameterString( item.MainGroup ),
                DataAccess.CreateParameterString( item.SubGroup ),
                DataAccess.CreateParameterString( item.Description ),
                DataAccess.CreateParameterString( item.Keyword ),
                DataAccess.CreateParameterString( item.DisplayName ),
                DataAccess.CreateParameterString( configID ),
                DataAccess.CreateParameterString( item.CultureID ) );
        }

        protected override void Delete( string configID, ConfigurationDescription item )
        {
            DataAccess.ExecuteNonQuery(
                "DELETE FROM ConfigurationDescription " +
                "WHERE ConfigID = @ConfigID AND CultureID = @CultureID; ",
                DataAccess.CreateParameterString( configID ),
                DataAccess.CreateParameterString( item.CultureID ) );
        }

        #endregion
    }
}
