using System;
using System.Collections.Generic;
using System.Text;

using Vevo.Domain.Discounts;
using Vevo.Base.Domain;

namespace Vevo.Domain.DataInterfaces
{
    public interface ICouponRepository
    {
        Coupon Create( Coupon coupon );
        Coupon Update( Coupon coupon );
        Coupon Update( Coupon coupon, string newCouponID );
        Coupon GetOne( string couponID );
        void Delete( string couponID );
        void DeleteAll();
        IList<Coupon> SearchCoupon(
            string sortBy,
            SearchFilter searchFilter,
            int startIndex,
            int endIndex,
            out int howManyItems );
        IList<TableSchemaItem> GetTableSchema();
    }
}
