﻿using System;
using System.Collections.Generic;
using System.Text;
using System.ServiceModel;
using Vevo.WebServices.Base;
using Vevo.WebServices.Security;
using Vevo.WebServices.SearchFilters;
using Vevo.WebAppLib;
using Vevo.Domain.DataInterfaces;
using Vevo.Domain;
using System.Data;
using Vevo.Domain.Users;

namespace Vevo.WebServices.States
{
    public class StateService : IStateService
    {
        private StateConstraints ConvertStateToConstraints( State state )
        {
            StateConstraints constraints = new StateConstraints();
            constraints.CountryCode = state.CountryCode;
            constraints.Enabled = state.Enabled;
            constraints.SortOrder = state.SortOrder;
            constraints.StateCode = state.StateCode;
            constraints.StateName = state.StateName;

            return constraints;
        }

        public StateListResponseMessage ListStates( StateListRequestMessage ListMessage )
        {
            StateListResponseMessage responseMessage = new StateListResponseMessage();
            if ( WcfSessionPool.GetSession( ListMessage.Ticket ) == null )
            {
                responseMessage.ErrorMessage = "Error: Authentication is failed.";
                return responseMessage;
            }
            try
            {
                IList<State> state_result = DataAccessContext.StateRepository.GetAllByCountryCode(
                    ListMessage.CountryCode, "StateCode", BoolFilter.ShowAll );
                responseMessage.States = new List<StateConstraints>();
                foreach ( State state in state_result )
                {
                    responseMessage.States.Add( ConvertStateToConstraints( state ) );
                }
            }
            catch ( Exception e )
            {
                WebUtilities.LogError( e );
                responseMessage.ErrorMessage = "Error: Cannot get states from repository";
            }

            return responseMessage;
        }
    }
}
