using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Vevo.Domain;
using Vevo.WebAppLib;

namespace Vevo.WebUI
{
    /// <summary>
    /// Summary description for NamedConfig
    /// </summary>
    public static class NamedConfig
    {
        public static string SiteName
        {
            get
            {
                return DataAccessContext.Configurations.GetValue( CultureUtilities.StoreCultureID, "SiteName" );
            }
        }

        public static string SiteDescription
        {
            get
            {
                return DataAccessContext.Configurations.GetValue( CultureUtilities.StoreCultureID, "SiteDescription" );
            }
        }

        public static string SiteKeyword
        {
            get
            {
                return DataAccessContext.Configurations.GetValue( CultureUtilities.StoreCultureID, "SiteKeyword" );
            }
        }

        public static bool EnableSSL
        {
            get
            {
                return DataAccessContext.Configurations.GetBoolValue( "EnableSSL" );
            }
        }

        public static string CompanyEmail
        {
            get
            {
                return DataAccessContext.Configurations.GetValue( "CompanyEmail" );
            }
        }

        public static string AutoSenderEmail
        {
            get
            {
                return DataAccessContext.Configurations.GetValue( "AutoSenderEmail" );
            }
        }

        public static string DomainRegistrationKey
        {
            get
            {
                return WebConfiguration.DomainRegistrationKey + "|" + 
                    DataAccessContext.Configurations.GetValueNoThrow( "DomainRegistrationKey" );
            }
        }
    }
}
